Myrathi's Mod Compendium

Geo Terra

New Member
Jul 29, 2019
79
0
0
Why haven't you updated FlatSigns to 1.6.4?
Like Eyamaz has already said, FlatSigns work perfectly well in 1.6.4, but I'm wondering if you saw the text "See 1.6.2 release" in the first post as that would've saved you the work and trouble of posting (and by the looks of it, making an account).

(Just to note, I'm not trying to be mean in the slightest, rather I'm wondering why you didn't save yourself the work in the first place.)
 

ldc_MC

New Member
Jul 29, 2019
2
0
0
Really? Works with 1.6.4? I think I have to call my trusty friend Pastebin here…
http://pastebin.com/XaijyK91[DOUBLEPOST=1398485188][/DOUBLEPOST]
Like Eyamaz has already said, FlatSigns work perfectly well in 1.6.4, but I'm wondering if you saw the text "See 1.6.2 release" in the first post as that would've saved you the work and trouble of posting (and by the looks of it, making an account).

(Just to note, I'm not trying to be mean in the slightest, rather I'm wondering why you didn't save yourself the work in the first place.)
I saw that. I mean I saw "See 1.6.2 release".
 

Myrathi

New Member
Jul 29, 2019
74
0
0
Pesky forum, not telling me when I have replies to the thread! :p

Is there a way to make the InfiniBows fix also work with bows that are added by mods? For example the bows from SimpleOres or MoreBows?
Not easily - those mods need to fix their "use item" implementation to test for the Infinity enchantment before they check for an arrow in the pack.

^ but with Bow of Bone from Thaumcraft 4. >_>
I realise this is a month old question but I spoke to Azanor recently, about this, and it should already be fixed (via the method I just mentioned above). :)

Why haven't you updated FlatSigns to 1.6.4?
For no other reason than it doesn't need updated. If you have a mod conflict, such that you receive a "field not found" exception or such, then you're using another mod that replaces the vanilla sign class, entirely. If they only inject incompatible bytecode into the sign class then FlatSigns should fail cleanly and just complain in the logs. The solution is to remove one of the two conflicting mods (mine or theirs).
 

Cptqrk

Popular Member
Aug 24, 2013
1,380
640
138
Question:

Does the infinity fix work on Thaumcraft arrows at this time? (sorry, 1.6.4)
The book specifically states that the infinity enchant doesn't always work on the Thaumcraft infused arrows (random chance to still use up an arrow)
 

Myrathi

New Member
Jul 29, 2019
74
0
0
Does the infinity fix work on Thaumcraft arrows at this time? (sorry, 1.6.4)
The book specifically states that the infinity enchant doesn't always work on the Thaumcraft infused arrows (random chance to still use up an arrow)
Definitely doesn't. The vanilla fix is a code-injection directly into the vanilla code. To fix Thaum arrows, I'd have to do the same. When I spoke to Azanor about it, he said he'd fix it in an update, though I expect that update was in the 1.7.x line. :|
 
  • Like
Reactions: Cptqrk

CaerMaster

New Member
Jul 29, 2019
8
0
0
Yay Myrathi. :) Always going the extra mile. :)

Me, waiting patiently for Switches and InfiniBows 1.7.10...